FLTK 1.3.3

- Main Page
- Related Pages
- Modules
- Classes
- Files

- File List
- File Members

Classes | Typedefs
Fl_PostScript.H File Reference

declaration of classes Fl_PostScript_Graphics_Driver, Fl_PostScript_File_Device. More...

`#include <FL/Fl_Paged_Device.H>`
`#include <FL/fl_draw.H>`
`#include <stdarg.h>`

Go to the source code of this file.

## Classes
class | Fl_PostScript_File_Device
| To send graphical output to a PostScript file. More...
class | Fl_PostScript_Graphics_Driver

## Typedefs
typedef int( | Fl_PostScript_Close_Command) (FILE *)
| PostScript graphical backend. More...

## Detailed Description

declaration of classes Fl_PostScript_Graphics_Driver, Fl_PostScript_File_Device.

## Typedef Documentation

typedef int( Fl_PostScript_Close_Command) (FILE *)

PostScript graphical backend.

PostScript text uses vectorial fonts when using the FLTK standard fonts and the latin alphabet or a few other characters listed in the following table. The latin alphabet means all unicode characters between U+0020 and U+017F, or, in other words, the ASCII, Latin-1 Supplement and Latin Extended-A charts.

Char | Codepoint | Name | Char | Codepoint | Name | Char | Codepoint | Name
--- | --- | --- | --- | --- | --- | --- | --- | ---
ƒ | U+0192 | florin | ‚ | U+201A | quotesinglbase | ™ | U+2122 | trademark
ˆ | U+02C6 | circumflex | “ | U+201C | quotedblleft | ∂ | U+2202 | partialdiff
ˇ | U+02C7 | caron | ” | U+201D | quotedblright | Δ | U+2206 | Delta
˘ | U+02D8 | breve | „ | U+201E | quotedblbase | ∑ | U+2211 | summation
˙ | U+02D9 | dotaccent | † | U+2020 | dagger | √ | U+221A | radical
˚ | U+02DA | ring | ‡ | U+2021 | daggerdbl | ∞ | U+221E | infinity
˛ | U+02DB | ogonek | • | U+2022 | bullet | ≠ | U+2260 | notequal
˜ | U+02DC | tilde | … | U+2026 | ellipsis | ≤ | U+2264 | lessequal
˝ | U+02DD | hungarumlaut | ‰ | U+2030 | perthousand | ≥ | U+2265 | greaterequal
– | U+2013 | endash | ‹ | U+2039 | guilsinglleft | ◊ | U+25CA | lozenge
— | U+2014 | emdash | › | U+203A | guilsinglright | ﬁ | U+FB01 | fi
‘ | U+2018 | quoteleft | / | U+2044 | fraction | ﬂ | U+FB02 | fl
’ | U+2019 | quoteright | € | U+20AC | Euro |  | U+F8FF | apple (Mac OS only)

All other unicode characters or all other fonts (FL_FREE_FONT and above) are output as a bitmap.
FLTK standard fonts are output using the corresponding PostScript standard fonts.Signature of Fl_PostScript::close_command() functions passed as parameters.

- © 1998-2014 by Bill Spitzak and others.